package parser;

import java.util.Set;

public final class Constraint {

	public final LinearFormula a;
	public final Comparator cmp;
	public final Constant b;

	public Constraint(LinearFormula a, Comparator cmp, Constant b) {
		this.a = a;
		this.cmp = cmp;
		this.b = b;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append(a);
		sb.append(' ');

		switch (cmp) {
		case LESS_EQUAL:
			sb.append("<=");
			break;
		case GREATER_EQUAL:
			sb.append(">=");
			break;
		case EQUAL:
			sb.append("=");
			break;
		}

		sb.append(' ');
		sb.append(b);

		return sb.toString();
	}

	public void getVarSet(Set<String> varset) {
		a.getVarSet(varset);
	}
}
