package parser;

import java.util.Set;

import utils.Fraction;

public final class Term {

	public final Fraction coefficient;
	public final Variable var;

	public Term(Fraction coefficient, Variable var) {
		this.coefficient = coefficient;
		this.var = var;
	}

	public String toString() {
		return (coefficient.numerator() < 0 ? "- " + coefficient.negative()
				: "+ " + coefficient)
				+ " " + var;
	}

	public void getVarSet(Set<String> varset) {
		varset.add(var.name);
	}
}
